summaryrefslogtreecommitdiff
path: root/config/chroot_local-includes/lib
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2010-09-05 12:33:34 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2010-09-05 12:33:34 +0200
commitd267cca78f6419b3248d1647fc0bd0a1c5e4f203 (patch)
treee8ae4c16eba917f25b7ed8f6ae285cf057cf196c /config/chroot_local-includes/lib
parent17524d9678fbb1f1e7b77755d7fd87a33a3ecd06 (diff)
downloadkanotix-d267cca78f6419b3248d1647fc0bd0a1c5e4f203.zip
kanotix-d267cca78f6419b3248d1647fc0bd0a1c5e4f203.tar.gz
added hack to prevent kdm's "abort active sessions" prompt
Diffstat (limited to 'config/chroot_local-includes/lib')
-rwxr-xr-xconfig/chroot_local-includes/lib/live/config/901-hotfixes14
1 files changed, 14 insertions, 0 deletions
diff --git a/config/chroot_local-includes/lib/live/config/901-hotfixes b/config/chroot_local-includes/lib/live/config/901-hotfixes
index 9d8214a..5a28eb4 100755
--- a/config/chroot_local-includes/lib/live/config/901-hotfixes
+++ b/config/chroot_local-includes/lib/live/config/901-hotfixes
@@ -5,3 +5,17 @@ if [ -n "${LIVE_TIMEZONE}" ]; then
echo "${LIVE_TIMEZONE}" > /etc/timezone
fi
+# dirty hack to prevent kdm's "abort active sessions" prompt on live system
+sudo -u "${LIVE_USERNAME}" sh -c "mkdir -p /home/${LIVE_USERNAME}/.kde/shutdown; cat > /home/${LIVE_USERNAME}/.kde/shutdown/kdm-force-shutdown-hack" << EOF
+#!/bin/sh
+# dirty hack to prevent kdm's "abort active sessions" prompt on live system
+
+. /etc/default/distro
+[ "$FLL_DISTRO_MODE" = "live ] || exit # are we live?
+
+# "destroy" utmp, so kdm won't recognize the running logins on the other TTYs
+sudo perl -pi -e 's/tty/xty/g' /var/run/utmp
+
+EOF
+chmod +x /home/${LIVE_USERNAME}/.kde/shutdown/kdm-force-shutdown-hack
+